Bug 142719 - Annoying select-driver-dialog when turning on the printer
Summary: Annoying select-driver-dialog when turning on the printer
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: hal-cups-utils (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-13 11:29 UTC by Enrico Scholz
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 19:53:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
'ps axfu' output (7.97 KB, text/plain)
2004-12-28 23:45 UTC, Enrico Scholz
no flags Details
'lshal' output (43.70 KB, text/plain)
2004-12-28 23:45 UTC, Enrico Scholz
no flags Details
printers.conf (579 bytes, text/plain)
2004-12-28 23:46 UTC, Enrico Scholz
no flags Details

Description Enrico Scholz 2004-12-13 11:29:38 UTC
Description of problem:

When turning on an USB printer (HP Photosmart PSC 1350), KDE shows a
dialog where I can select a printer driver.

This happens everytime when I turn on the printer, and on KDE startup
also. The printer itself works fine and is configured by cups separately
(hpoj driver).


Version-Release number of selected component (if applicable):

hal-0.4.2-1.FC3


How reproducible:

100%


Steps to Reproduce:
1. use an USB printer
2. configure it (e.g. with http://localhost:631 or system-config-printer)
3. turn off the printer
4. reboot
5. login into KDE

6. turn off the printer
7. turn on the printer


Actual results:

after 5. and 7. a dialog appears asking for the printer-driver


Expected results:

no dialog appears



Additional info:

I do not know if hal is the right component; please reassign if
needed. Machine with printer is unavailable ATM so I can not provide
further details now.

Comment 1 David Zeuthen 2004-12-13 15:58:34 UTC
I think this is hal-cups-utils - reassigning.

Comment 2 John (J5) Palmieri 2004-12-13 17:02:27 UTC
Please post the output of lshal and ps -aux here.

Comment 3 John (J5) Palmieri 2004-12-13 17:03:37 UTC
Oh and the contents of your /etc/cups/printers.conf file

Comment 4 Enrico Scholz 2004-12-28 23:45:30 UTC
Created attachment 109158 [details]
'ps axfu' output

Comment 5 Enrico Scholz 2004-12-28 23:45:57 UTC
Created attachment 109159 [details]
'lshal' output

Comment 6 Enrico Scholz 2004-12-28 23:46:36 UTC
Created attachment 109160 [details]
printers.conf

Comment 7 John Thacker 2007-01-13 19:53:01 UTC
(This is a mass update to bugs which have been in NEEDINFO unmodified for over a
year and are for a currently unsupported version of Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.